#include <iostream>

int main() {
	std::ios_base::sync_with_stdio("false");

	long long broj;
	std::cin >> broj;

	int novcanice = 0;

	while (broj >= 1) {
		while (broj % 10 >= 5) {
			broj -= 5;
			novcanice++;
		}
		while (broj % 10 >= 2) {
			broj -= 2;
			novcanice++;
		}
		novcanice += broj % 10;
		broj /= 10;
	}
	
	std::cout << novcanice;

	system("pause");
	return 0;
}